SSTableExpiredBlockers (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.tools

## Class SSTableExpiredBlockers

- java.lang.Object
- - org.apache.cassandra.tools.SSTableExpiredBlockers

-     public class SSTableExpiredBlockers
      extends java.lang.Object

  During compaction we can drop entire sstables if they only contain expired tombstones and if it is guaranteed to not cover anything in other sstables. An expired sstable can be blocked from getting dropped if its newest timestamp is newer than the oldest data in another sstable. This class outputs all sstables that are blocking other sstables from getting dropped so that a user can figure out why certain sstables are still on disk.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSTableExpiredBlockers()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.common.collect.Multimap<SSTableReader,SSTableReader>` | `checkForExpiredSSTableBlockers(java.lang.Iterable<SSTableReader> sstables, int gcBefore)`
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSTableExpiredBlockers

          public SSTableExpiredBlockers()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### checkForExpiredSSTableBlockers

          public static com.google.common.collect.Multimap<SSTableReader,SSTableReader> checkForExpiredSSTableBlockers(java.lang.Iterable<SSTableReader> sstables,
                                                                                                                       int gcBefore)

Copyright © 2018 The Apache Software Foundation